Subject: Re: [PATCH] 2.6.0-bk6 net/core/dev.c

From: "David S. Miller" <[email-masked]>
Date: Thu, 25 Sep 2003 03:01:09 -0700

On Wed, 24 Sep 2003 10:17:47 -0700
Joe Perches <[email-masked]> wrote:

> On Wed, 2003-09-24 at 10:13, Linus Torvalds wrote:
> > Looks sane, but wouldn't it be cleaner to put this ugly special case logic
> > with casts etc in an inline function and make the code a bit more readable
> > at the same time?
> 
> I've got those.
> 
> I've done the ((void*)1) conversions to PKT_SHARED_SKBs
> and found this missing.  I'll submit those separately.

Send me what you have and I'll review and apply it.

I haven't accomplished anything today because I've been sick,
but tomorrow I should be back to full speed once more.